Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SimpleNode

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode

Direct Known Subclasses:
  LogicalDisplay, LogicalSwitch, MobileNode, PetriPlace, PetriTransition, SimpleProcess, SimpleState, SimpleTransition

    public class SimpleNode

extends SNode

La classe abstraite qui contient tous les noeuds simples, cad des noeuds qui se connectent directement au arcs.

Version:
  2.0
See Also:
  `SNode`

Field Summary
`protected java.util.Vector` | `inArrows`
`protected java.util.Vector` | `outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`SimpleNode()`

Method Summary
`void` | `addInArrow(SArrow a)`
`void` | `addOutArrow(SArrow a)`
`void` | `delete()`
`void` | `deleteInArrow(SArrow a)`
`void` | `deleteOutArrow(SArrow a)`
`java.util.Vector` | `getInArrows()`
`java.util.Vector` | `getInArrows(java.lang.Class c)`
`java.util.Vector` | `getOutArrows()`
`java.util.Vector` | `getOutArrows(java.lang.Class c)`
`protected boolean` | `isConnectable(SArrow s, boolean asTarget)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inArrows

    protected java.util.Vector inArrows

### outArrows

    protected java.util.Vector outArrows

Constructor Detail

### SimpleNode

    public SimpleNode()

Method Detail

### getInArrows

    public java.util.Vector getInArrows()

  Specified by:
    `getInArrows` in class `SNode`

### getOutArrows

    public java.util.Vector getOutArrows()

  Specified by:
    `getOutArrows` in class `SNode`

### isConnectable

    protected boolean isConnectable(SArrow s,
                                    boolean asTarget)

  Specified by:
    `isConnectable` in class `SNode`

### addInArrow

    public void addInArrow(SArrow a)

  Specified by:
    `addInArrow` in class `SNode`

### addOutArrow

    public void addOutArrow(SArrow a)

  Specified by:
    `addOutArrow` in class `SNode`

### getOutArrows

    public java.util.Vector getOutArrows(java.lang.Class c)

### getInArrows

    public java.util.Vector getInArrows(java.lang.Class c)

### delete

    public void delete()

  Overrides:
    `delete` in class `SNode`

### deleteInArrow

    public void deleteInArrow(SArrow a)

  Overrides:
    `deleteInArrow` in class `SNode`

### deleteOutArrow

    public void deleteOutArrow(SArrow a)

  Overrides:
    `deleteOutArrow` in class `SNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.